Skip to main content
GET
/
user
/
tools
List mid call tools
curl --request GET \
  --url https://repforce.ai/api/user/tools \
  --header 'Accept: <accept>' \
  --header 'Authorization: <authorization>' \
  --header 'Content-Type: <content-type>'
import requests

url = "https://repforce.ai/api/user/tools"

headers = {
"Authorization": "<authorization>",
"Content-Type": "<content-type>",
"Accept": "<accept>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {
Authorization: '<authorization>',
'Content-Type': '<content-type>',
Accept: '<accept>'
}
};

fetch('https://repforce.ai/api/user/tools', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


[
  {
    "id": 1,
    "name": "get_weather",
    "description": "Use this tool to get the current weather in a specific city. Call this when the customer asks about weather conditions.",
    "endpoint": "https://api.openweathermap.org/data/2.5/weather",
    "method": "GET",
    "timeout": 10,
    "headers": [
      {
        "name": "Content-Type",
        "value": "application/json"
      },
      {
        "name": "Authorization",
        "value": "Bearer sk_..."
      }
    ],
    "schema": [
      {
        "name": "city",
        "type": "string",
        "description": "The city name to get weather for"
      },
      {
        "name": "temperature",
        "type": "number",
        "description": "Current temperature value"
      },
      {
        "name": "is_raining",
        "type": "boolean",
        "description": "Whether it is currently raining"
      }
    ],
    "created_at": "2025-10-10T12:00:00.000000Z",
    "updated_at": "2025-10-10T12:00:00.000000Z"
  },
  {
    "id": 2,
    "name": "send_notification",
    "description": "Use this tool to send a notification to the customer. Call this when customer requests updates.",
    "endpoint": "https://api.yourcompany.com/notifications/send",
    "method": "POST",
    "timeout": 15,
    "headers": [
      {
        "name": "Content-Type",
        "value": "application/json"
      }
    ],
    "schema": [
      {
        "name": "message",
        "type": "string",
        "description": "The notification message to send"
      },
      {
        "name": "priority_level",
        "type": "number",
        "description": "Priority level from 1 to 5"
      },
      {
        "name": "send_sms",
        "type": "boolean",
        "description": "Whether to also send SMS notification"
      }
    ],
    "created_at": "2025-10-09T14:30:00.000000Z",
    "updated_at": "2025-10-10T09:15:00.000000Z"
  }
]
This endpoint allows you to retrieve all mid call tools. Mid call tools enable your AI assistants to interact with external APIs during a call.

Headers

Authorization
string
required
Bearer token for authentication
Content-Type
string
required
Must be application/json
Accept
string
required
Must be application/json

Response fields

data
array
Array of mid call tools
[
  {
    "id": 1,
    "name": "get_weather",
    "description": "Use this tool to get the current weather in a specific city. Call this when the customer asks about weather conditions.",
    "endpoint": "https://api.openweathermap.org/data/2.5/weather",
    "method": "GET",
    "timeout": 10,
    "headers": [
      {
        "name": "Content-Type",
        "value": "application/json"
      },
      {
        "name": "Authorization",
        "value": "Bearer sk_..."
      }
    ],
    "schema": [
      {
        "name": "city",
        "type": "string",
        "description": "The city name to get weather for"
      },
      {
        "name": "temperature",
        "type": "number",
        "description": "Current temperature value"
      },
      {
        "name": "is_raining",
        "type": "boolean",
        "description": "Whether it is currently raining"
      }
    ],
    "created_at": "2025-10-10T12:00:00.000000Z",
    "updated_at": "2025-10-10T12:00:00.000000Z"
  },
  {
    "id": 2,
    "name": "send_notification",
    "description": "Use this tool to send a notification to the customer. Call this when customer requests updates.",
    "endpoint": "https://api.yourcompany.com/notifications/send",
    "method": "POST",
    "timeout": 15,
    "headers": [
      {
        "name": "Content-Type",
        "value": "application/json"
      }
    ],
    "schema": [
      {
        "name": "message",
        "type": "string",
        "description": "The notification message to send"
      },
      {
        "name": "priority_level",
        "type": "number",
        "description": "Priority level from 1 to 5"
      },
      {
        "name": "send_sms",
        "type": "boolean",
        "description": "Whether to also send SMS notification"
      }
    ],
    "created_at": "2025-10-09T14:30:00.000000Z",
    "updated_at": "2025-10-10T09:15:00.000000Z"
  }
]

Assigning Tools to Assistants

To use these tools with assistants, see: